Package org.flowable.bpmn.model

# Class ErrorEventDefinition

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.EventDefinition
org.flowable.bpmn.model.ErrorEventDefinition

All Implemented Interfaces:
  `HasExtensionAttributes`

public class ErrorEventDefinition extends EventDefinition

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `errorCode`
  `protected Boolean`
  `errorVariableLocalScope`
  `protected String`
  `errorVariableName`
  `protected Boolean`
  `errorVariableTransient`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErrorEventDefinition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ErrorEventDefinition`
  `clone()`
  `String`
  `getErrorCode()`
  `Boolean`
  `getErrorVariableLocalScope()`
  `String`
  `getErrorVariableName()`
  `Boolean`
  `getErrorVariableTransient()`
  `void`
  `setErrorCode(String errorCode)`
  `void`
  `setErrorVariableLocalScope(Boolean errorVariableLocalScope)`
  `void`
  `setErrorVariableName(String errorVariableName)`
  `void`
  `setErrorVariableTransient(Boolean errorVariableTransient)`
  `void`
  `setValues(ErrorEventDefinition otherDefinition)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### errorCode

    protected String errorCode

  - ### errorVariableName

    protected String errorVariableName

  - ### errorVariableTransient

    protected Boolean errorVariableTransient

  - ### errorVariableLocalScope

    protected Boolean errorVariableLocalScope

- ## Constructor Details

  - ### ErrorEventDefinition

    public ErrorEventDefinition()

- ## Method Details

  - ### getErrorCode

    public String getErrorCode()

  - ### setErrorCode

    public void setErrorCode(String errorCode)

  - ### getErrorVariableName

    public String getErrorVariableName()

  - ### setErrorVariableName

    public void setErrorVariableName(String errorVariableName)

  - ### getErrorVariableTransient

    public Boolean getErrorVariableTransient()

  - ### setErrorVariableTransient

    public void setErrorVariableTransient(Boolean errorVariableTransient)

  - ### getErrorVariableLocalScope

    public Boolean getErrorVariableLocalScope()

  - ### setErrorVariableLocalScope

    public void setErrorVariableLocalScope(Boolean errorVariableLocalScope)

  - ### clone

    public ErrorEventDefinition clone()
    Specified by:
      `clone` in class `EventDefinition`

  - ### setValues

    public void setValues(ErrorEventDefinition otherDefinition)